Create a key to copy examples filled with your team.

SMTP credentials

Issue a username and a once-only password.

Issue an SMTP username and password on a cluster. The password is returned once. Delete disables the credential.

POST /api/v1/teams/:team_id/clusters/:cluster_id/smtp_credentials

Create a credential. Optional tenant_id. Defaults to the team's default tenant.

  • cluster_id: Cluster id
request.sh
1 curl -sS -X POST \
2 -H 'Authorization: Bearer YOUR_API_KEY' \
3 -H 'Content-Type: application/json' \
4 -d '{"smtp_credential":{"tenant_id":12}}' \
5 https://postshiba.com/api/v1/teams/1/clusters/:cluster_id/smtp_credentials
response.json
1 {
2 "id": 9,
3 "username": "smtp_9",
4 "password": "once-only-password",
5 "tenant_id": 12,
6 "tenant": "default",
7 "cluster_id": 4
8 }

DELETE /api/v1/teams/:team_id/clusters/:cluster_id/smtp_credentials/:id

Disable a credential. Same as SmtpCredential#disable!. Password is omitted.

  • cluster_id: Cluster id
  • id: Credential id
request.sh
1 curl -sS -X DELETE \
2 -H 'Authorization: Bearer YOUR_API_KEY' \
3 https://postshiba.com/api/v1/teams/1/clusters/:cluster_id/smtp_credentials/:smtp_credential_id
response.json
1 {
2 "id": 9,
3 "username": "smtp_9",
4 "tenant_id": 12,
5 "tenant": "default",
6 "cluster_id": 4
7 }

About

PostShiba is the transactional email platform that powers Bento behind the scenes. You can build your own products, like Bento, on top of it.

© 2026 PostShiba by Backpack Internet Pty. Ltd. All rights reserved.

The same policies that govern Bento are applied to PostShiba Privacy | Terms | Security